CREATE TABLE cso_batch_status (
    RECORD_ID                 VARCHAR2(128) ,
    JOB_ID                    VARCHAR2(128)     NOT NULL,
    DATE_FIRED                TIMESTAMP(6)      NOT NULL,
    STATUS                    VARCHAR2(40)  ,
    STATUS_OUTPUT             VARCHAR2(4000),
    DATE_ADDED                TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED             TIMESTAMP(6)      NOT NULL,
    HEART_BEAT_DATE           TIMESTAMP(6)      NOT NULL,
    LOG_ERRORS_WARNINGS       CLOB          ,
    LOG_SUMMARY               CLOB          ,
    EXTERNAL_REFERENCE_KEY    VARCHAR2(1024),
    CANCEL_REQUESTED_FLAG     VARCHAR2(4)   ,
    RECORD_ID                 VARCHAR2(128) ,
    JOB_ID                    VARCHAR2(128)     NOT NULL,
    DATE_FIRED                TIMESTAMP(6)      NOT NULL,
    STATUS                    VARCHAR2(40)  ,
    STATUS_OUTPUT             VARCHAR2(4000),
    DATE_ADDED                TIMESTAMP(6)      NOT NULL,
    DATE_MODIFIED             TIMESTAMP(6)      NOT NULL,
    HEART_BEAT_DATE           TIMESTAMP(6)      NOT NULL,
    LOG_ERRORS_WARNINGS       CLOB          ,
    LOG_SUMMARY               CLOB          ,
    EXTERNAL_REFERENCE_KEY    VARCHAR2(1024),
    CANCEL_REQUESTED_FLAG     VARCHAR2(4)   ,
    CONSTRAINT pk_cso_batch_status PRIMARY KEY (RECORD_ID, RECORD_ID)
);
